﻿Imports Newtonsoft.Json
Imports Newtonsoft.Json.Linq

Module Module1

    Sub Main()
        Console.Write("Bitte API Key angeben: ")
        Dim apiKey As String = Console.ReadLine()

        Dim willStop As Boolean = False

        Do Until willStop
            Console.Write("Welche SteamId soll angefragt werden? Bitte ID angeben: ")
            Dim steamId As String = Console.ReadLine

            Using webClient As New System.Net.WebClient
                Dim result As String = webClient.DownloadString($"http://api.steampowered.com/ISteamUser/GetPlayerSummaries/v0002/?key={apiKey}&steamids={steamId}&format=json")
                Dim response As JObject = JsonConvert.DeserializeObject(result)

                Dim allPlayersToken As List(Of JToken) = response("response")("players").Children().ToList()
                Dim allPlayers As New List(Of Player)

                allPlayersToken.ForEach(Sub(x) allPlayers.Add(x.ToObject(Of Player)))
                allPlayers.ForEach(Sub(x) Console.WriteLine($"Personenname: {x.Personaname} - SteamId: {x.Steamid}"))
                Console.WriteLine(String.Empty)

                Console.Write("Noch eine SteamId abfragen? 'N' für Abbruch, sonst beliebige Taste : ")
                Dim key = Console.ReadKey()

                willStop = key.Key = ConsoleKey.N
                If willStop Then Console.WriteLine("User will abbrechen, breche ausführung ab.")
                Console.WriteLine(String.Empty)

            End Using

        Loop



        Console.Read()
    End Sub

End Module
